<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~ssp_start.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>
.modeldescription
{
	padding-bottom: 0.25em;
	font-style: italic;
	color: #999999;
}

.selected .modeldescription
{
	font-style: normal;
	color: initial;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Start Single Sample Predictor analysis" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select StringTie raw bioassays</div>
		<div class="step-content">
			
			<table class="step-form">
			<tr>
				<td class="prompt">Which rawbioassays?</td>
				<td class="input">
					<label><input type="radio" name="which" id="which_selected" checked value="selected">Those selected in the list below</label><br>
					<label><input type="radio" name="which" id="which_all" value="all">All that doesn't have a value already</label>
				</td>
				<td class="status" id="which.status"></td>
				<td class="help"><span id="which.message" class="message"></span>
					It is possible to run the SSP for specified raw bioassays only or
					to let it find rawbioassays with missing values.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Raw bioassays</td>
				<td class="input">
					<select class="required yellow-label-support" multiple size="30"
						name="rawBioAssays" id="rawBioAssays"></select>
						
					<base:buttongroup style="margin-top: 0.5em;">
						<base:button title="Select manually&hellip;" id="btnSelectRawBioAssays" />
					</base:buttongroup>
				</td>
				<td class="status" id="rawBioAssays.status"></td>
				<td class="help"><span id="rawBioAssays.message" class="message"></span>
					Select the raw bioassays to analyze. The list contains all StringTie 
					raw bioassays in the <b>Single Sample Predictor analysis</b>
					item list.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Select SSP models</div>
		<div class="step-content">

			<table class="step-form">
				<td class="prompt">Models</td>
				<td class="input" colspan="2">
					<select name="presets" id="presets">
						<option value="">All
					</select>
				</td>
				<td class="status" id="models.status"></td>
				<td class="help"><span id="models.message" class="message"></span>
					Select one or more SSP models to run. Presets can be configured
					by creating <b>Plug-in configurations</b> for the 
					<b>Single Sample Predictor</b> plug-in.
				</td>
			</tr>
			<tbody id="models"></tbody>
			<tr>
				<td class="prompt">Auto-confirm</td>
				<td class="input" colspan="2"><input type="checkbox" name="autoConfirm" checked></td>
				<td class="status" id="autoConfirm.status"></td>
				<td class="help">
					<span id="autoConfirm.message" class="message"></span>
					If checked, the pipeline will automatically continue with SCAN-B report creation.
				</td>
			</tr>
			
			</table>
		</div>
	</div>
	
	
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>